﻿

html {
    font-family: sans-serif;
}

body {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0;
    padding: 0;
    background: linear-gradient(to bottom, black 30%, white 100%);
    width: 100%; /* Ensure body takes full width */
    height: 100%; /* Ensure body takes full height */
   
}


header {
    display: flex;
	align-items: center;
	background: linear-gradient(to bottom, rgba(255, 255, 255, 0.5) 20%, rgba(255, 255, 255, 0) 200%), linear-gradient(135deg, #bdc3c7, #2c3e50);
	width: 100%;
	height: 130px;
	text-align: left;
    border: 5px solid black;
    padding: 20px;
    margin-bottom: 20px;
	border-radius: 10px;
}


img {
	margin-left: 25px;
	width: 530px;
	height: 160px;
	border-radius: 10px;
}


h1 {
	width: 250px;
	height: 120px;
	margin-top: 10px;
	margin-left: 10px;
	font-size: 30px;
	font-family: sans-serif;
	font-style: normal;
}


h2 {
	font-size: 13px;
	font-family: sans-serif;
	font-optical-sizing: auto;
	font-style: normal;
}

ul {
    margin-left: 20px;
}


main {
	width: 100%;
	height: 100%;
	margin-bottom: 40px;
	border-radius: 10px;
	margin: 20px;
    padding: 10px;
}


.full-page-search {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(to bottom, rgba(255, 94, 0, 0.7), rgba(255, 165, 0, 0.7), rgba(255, 223, 0, 0.7), rgba(255, 255, 255, 0.7)); /* Sundown gradient */
    /* background: rgba(0, 0, 0, 0.5);  Optional: add a background overlay */
}


.search-box {
    margin: 0;
    padding: 0;
    margin-top: 70px;
    margin-bottom: 10px;
    margin-left: 100px;
}


.search-box input {
	height: 15px; 
	width: 500px; 
    padding: 10px;
    margin: 200px;
    margin-right: 10px;
    margin-left: 150px;
    border-radius: 5px;
    border: 1px solid #ccc;
    font-size: 18px;
}


.search-box button {
	height: 35px; 
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #ccc;
    font-size: 13px;
}


.action-buttons {
    margin: 0;
    padding: 0;
    margin-top: 170px;
    margin-bottom: 100px;
    margin-left: 360px;
}


#buy-button {
    height: 170px;
    width: 170px;
    padding: 20px;
    margin: 0;
    border-radius: 10px;
    border: 2px solid #000;
    font-size: 24px;
    background-color: #e2ecec;
    color: black;
}


#sell-button {
    height: 70px;
    width: 170px;
    padding: 20px;
    margin: 0;
    border-radius: 10px;
    border: 2px solid #000;
    font-size: 24px;
    background-color: #707878;
    color: white;
}


footer {
    display: flex;
    width: 100%;
    height: 120px;
    align-items: center;
    margin-top: 400px;
    padding: 10px;
    border: 5px solid black;
    background: white;
}


h3 {
    margin: 0;
    padding: 0;
    margin-top: 15px;
    margin-left: 10px;
    font-size: 15px;
    font-family: sans-serif;
    font-style: normal;
}


.social-media-links {
    margin: 0;
    padding: 0;
    margin-top: 20px;
    margin-bottom: 10px;
    margin-left: 10px;
}


.social-media-links li {
    display: inline-block;
}


.social-media-links img {
    width: 20px; 
    height: 20px;
    border-radius: 5px; 
    margin: 10px;
}


h4 {
    margin: 0;
    padding: 0;
    margin-top: 20px;
    margin-right: 110px;
    font-size: 15px;
    font-family: sans-serif;
    font-style: normal;

}


.contact {
    margin: 0;
    padding: 0;
    margin-top: 0px;
    margin-left: 0px;
    margin-left: auto; /* Push the contact info to the right */
    text-align: right; /* Align text to the right */
}


.contact-info {
    margin: 0;
    padding: 0;
    margin-top: 20px;
}




@media (max-width: 768px) {
    html, body {
        width: 100%;
        padding: 0;
        margin: 0;
    }

    header {
        flex-direction: column;
        align-items: flex-start;
        width: 90%;
        height: auto;
        padding: 10px;
        margin-bottom: 10px;
    }

    img {
        width: 85vw;
        height: auto;
        margin-top: 10px;
        margin-left: 6px;
        margin-bottom: 10px;
    }

    h1 {
        width: auto;
        height: auto;
        font-size: 22px;
        margin: 10px 0 0 0;
    }

    .search-box {
        margin: 20px 0 10px 0;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .search-box input {
        width: 90vw;
        margin: 10px 0;
        margin-left: 0;
        font-size: 16px;
    }

    .search-box button {
        width: 90vw;
        margin-bottom: 10px;
        font-size: 14px;
    }

    .action-buttons {
        margin: 40px 0 40px 0;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    #buy-button, #sell-button {
        width: 90vw;
        height: auto;
        font-size: 20px;
        margin-bottom: 10px;
    }

    main {
        width: 98vw;
        margin: 10px 0;
        padding: 5px;
    }

    footer {
        flex-direction: column;
        align-items: flex-start;
        width: 90vw;
        height: auto;
        margin-top: 40px;
        padding: 10px;
        font-size: 14px;
    }

    .social-media-links {
        margin: 10px 0;
    }

    .contact {
        text-align: left;
        margin-left: 0;
        margin-top: 10px;
    }
}